import time
import board
import digitalio

import pulseio
import pwmio
from adafruit_motor import servo

PEN_UP = 135  # servo's arm position when the pen is up
PEN_DOWN = 105  # position for pen down
led = digitalio.DigitalInOut(board.LED)
led.direction = digitalio.Direction.OUTPUT

pwm_servo = pwmio.PWMOut(board.GP0, duty_cycle=2 ** 15, frequency=50)
servo1 = servo.Servo(pwm_servo, min_pulse=500, max_pulse=2200)

pwm_in = digitalio.DigitalInOut(board.GP1)
pwm_in.direction = digitalio.Direction.INPUT
pwm_in.pull = digitalio.Pull.UP
        
def pen_pos(position):
    servo1.angle = position
    led.value = position >= PEN_DOWN
    
while False:
    pen_pos(PEN_UP)
    time.sleep(1)
    pen_pos(PEN_DOWN)
    time.sleep(1)
    
    
counter = 0
while True:
    # wait for pulse going up
    for i in range(1000):
        if pwm_in.value: break
        
    # count how long it is up
    for i in range(100):
        counter += pwm_in.value
        
    if counter > 2:
        pen_pos(PEN_DOWN)
    else:
        pen_pos(PEN_UP)
        time.sleep(.1)  # to give sime time to move the arm up
        
    counter = 0
